On 29 March 2018 at 08:20, Nyall Dawson <nyall.daw...@gmail.com> wrote:
> Hi all/J├╝rgen,
>
> I'd like to raise a call for the version of Qt in osgeo4w and the QGIS
> windows builds to be upgraded to 5.10.1 (or at least 5.9.4).

Can I gently bump this request? Is there anything which I can do to
make this happen?

Nyall

>
> I've been watching the bug tracker following the release of 3.0 and
> trying to fix crashes where I can, but there's a LOT of strange crash
> reports coming from deep within Qt internals on the windows builds.
>
> E.g.
>
> https://issues.qgis.org/issues/18566
> https://issues.qgis.org/issues/18528
> https://issues.qgis.org/issues/18498
> https://issues.qgis.org/issues/18483
> https://issues.qgis.org/issues/18570
> https://issues.qgis.org/issues/18569
> https://issues.qgis.org/issues/18260
> https://issues.qgis.org/issues/18548 (this is a duplicate of 18260)
> https://issues.qgis.org/issues/18470
> https://issues.qgis.org/issues/18460
> https://issues.qgis.org/issues/18306
>
> I'm at a loss how to proceed with these, and I'd like to rule out
> underlying issues in Qt as the cause. I've also personally seen many
> crashes with the 3d functionality on windows (again, from deep within
> Qt3d internals), which I believe are usually caused by graphics card
> drivers... BUT... Qt3d is a relatively new component and I'm sure
> we're missing many upstream fixes by not running on 5.10.1/5.9.4.
>
> Would you be in favour of bumping the version?
>
> Cheers,
> Nyall
_______________________________________________
QGIS-Developer mailing list
QGIS-Developer@lists.osgeo.org
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

Reply via email to